summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2008-07-07 15:32:23 +0200
committerJelmer Vernooij <jelmer@samba.org>2008-07-07 15:32:23 +0200
commitad229124e445457cc70ca66c97af3f98c95c05db (patch)
tree2ca1a601e080dfb7edffb842ab8b34c8ce249214
parent03754659d6381ac95d4d5e8dc612d3ad6865b581 (diff)
parent9fab4273a50b1ffe6c13d7e6ca9da0174ae27084 (diff)
Merge branch 'master' of git://git.kitenet.net/etckeeper into bzrplugin
-rw-r--r--TODO3
-rw-r--r--debian/changelog23
-rw-r--r--debian/control2
-rwxr-xr-xpre-commit.d/30store-metadata7
-rwxr-xr-xpre-install.d/50uncommitted-changes7
-rwxr-xr-xunclean.d/50test2
6 files changed, 35 insertions, 9 deletions
diff --git a/TODO b/TODO
index be807da..c2dbe7a 100644
--- a/TODO
+++ b/TODO
@@ -11,6 +11,9 @@
Of coure, unless etckeeper is installed by debootstrap or thereabouts,
you won't have a true pristine origin branch.
+ etcgit manages this, maybe steal its method?
+ git://git.debian.org/git/users/jo-guest/etcgit.git
+
* split the repo
One way to split it would be to put private (non-world-readable) files
diff --git a/debian/changelog b/debian/changelog
index e3dd4db..eb1664f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,23 @@
-etckeeper (0.16) UNRELEASED; urgency=low
+etckeeper (0.19) unstable; urgency=low
+
+ * Patch from Miklos Vajna to fix one more git- command that crept in.
+
+ -- Joey Hess <joeyh@debian.org> Sat, 05 Jul 2008 08:34:22 -0400
+
+etckeeper (0.18) unstable; urgency=low
+
+ * Allow AVOID_COMMIT_BEFORE_INSTALL to be set to zero to disable.
+ * Don't allow LC_COLLATE to reorder the .etckeeper file. Closes: #489057
+
+ -- Joey Hess <joeyh@debian.org> Thu, 03 Jul 2008 00:47:40 -0400
+
+etckeeper (0.17) unstable; urgency=low
+
+ * Fix backwards test for AVOID_COMMIT_BEFORE_INSTALL. Closes: #486922
+
+ -- Joey Hess <joeyh@debian.org> Wed, 18 Jun 2008 20:36:52 -0400
+
+etckeeper (0.16) unstable; urgency=low
[ Jelmer Vernooij ]
* Use new Bazaar API.
@@ -8,7 +27,7 @@ etckeeper (0.16) UNRELEASED; urgency=low
easy to configure etckeeper to abort an installation if there are
uncommitted changes in /etc. Closes: #478754
- -- Joey Hess <joeyh@debian.org> Sat, 07 Jun 2008 16:07:09 -0400
+ -- Joey Hess <joeyh@debian.org> Mon, 16 Jun 2008 19:21:16 -0400
etckeeper (0.15) unstable; urgency=low
diff --git a/debian/control b/debian/control
index 46d71ac..d0d12c4 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Section: admin
Priority: optional
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.4~), python-support (>= 0.5.3)
Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
Vcs-Git: git://git.kitenet.net/etckeeper
Homepage: http://kitenet.net/~joey/code/etckeeper/
diff --git a/pre-commit.d/30store-metadata b/pre-commit.d/30store-metadata
index bed2d89..243e019 100755
--- a/pre-commit.d/30store-metadata
+++ b/pre-commit.d/30store-metadata
@@ -1,7 +1,6 @@
#!/bin/sh
set -e
-
# Filters out UNKNOWN users and groups, prints a warning on stderr.
filter_unknown() {
CMD=$1
@@ -15,7 +14,6 @@ filter_unknown() {
done
}
-
generate_metadata() {
# This function generates the script commands to fix any files
# that aren't owner=root, group=root, or mode=0644 or 0755.
@@ -25,6 +23,10 @@ generate_metadata() {
# but we want find to ignore the VCS files themselves.
NOVCS='. -wholename ./.git -prune -o -wholename ./.bzr -prune -o -wholename ./.hg -prune -o'
+ # Keep the sort order the same at all times.
+ LC_COLLATE=C
+ export LC_COLLATE
+
if [ "$VCS" = git ] || [ "$VCS" = hg ]; then
# These version control systems do not track directories,
# so empty directories must be stored specially.
@@ -52,7 +54,6 @@ generate_metadata() {
# Maybe check for getfattr/setfattr and use them if they're available?
}
-
if [ "$VCS" = git ] || [ "$VCS" = hg ] || [ "$VCS" = bzr ]; then
if [ -f .metadata ]; then
# remove obsolete .metadata file
diff --git a/pre-install.d/50uncommitted-changes b/pre-install.d/50uncommitted-changes
index 465b06c..47750ac 100755
--- a/pre-install.d/50uncommitted-changes
+++ b/pre-install.d/50uncommitted-changes
@@ -10,8 +10,11 @@ if [ "$1" = "fail-debconf" ]; then
fi
if etckeeper unclean; then
- if [ ! "$AVOID_COMMIT_BEFORE_INSTALL" ]; then
- echo "error: etckeeper detected uncommitted changes in /etc prior to $HIGHLEVEL_PACKAGE_MANAGER run" >&2
+ if [ "$AVOID_COMMIT_BEFORE_INSTALL" = 1 ]; then
+ echo "" >&2
+ echo "** etckeeper detected uncommitted changes in /etc prior to $HIGHLEVEL_PACKAGE_MANAGER run" >&2
+ echo "** Aborting $HIGHLEVEL_PACKAGE_MANAGER run. Manually commit and restart." >&2
+ echo "" >&2
exit 1
fi
if ! etckeeper commit "saving uncommitted changes in /etc prior to $HIGHLEVEL_PACKAGE_MANAGER run"; then
diff --git a/unclean.d/50test b/unclean.d/50test
index 6829bec..f260f36 100755
--- a/unclean.d/50test
+++ b/unclean.d/50test
@@ -2,7 +2,7 @@
set -e
if [ "$VCS" = git ]; then
- [ -d .git ] && [ -n "`git-ls-files --modified --deleted --others --exclude-standard`" ]
+ [ -d .git ] && [ -n "`git ls-files --modified --deleted --others --exclude-standard`" ]
elif [ "$VCS" = hg ]; then
[ -d .hg ] && ! hg status 2>&1 | wc -l | grep -q "^0$"
elif [ "$VCS" = bzr ]; then